Bug 2014420 - Topology page is crashed [NEEDINFO]
Summary: Topology page is crashed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.11.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 2048891
TreeView+ depends on / blocked
 
Reported: 2021-10-15 08:41 UTC by Guohua Ouyang
Modified: 2022-08-10 10:38 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 10:38:21 UTC
Target Upstream Version:
cvogt: needinfo-
yzamir: needinfo? (spathak)


Attachments (Terms of Use)
topology (112.81 KB, image/png)
2021-10-15 08:41 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10272 0 None Merged Bug 2014420: dont crash topology page 2022-01-18 12:03:48 UTC
Github openshift console pull 10954 0 None open Bug 2014420: Remove depracated v2v resources from plugin config 2022-01-31 19:11:10 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:38:47 UTC

Description Guohua Ouyang 2021-10-15 08:41:22 UTC
Created attachment 1833328 [details]
topology

Description of problem:
Topology page is crashed

Version-Release number of selected component (if applicable):
4.9.0-rc.7

How reproducible:
100%

Steps to Reproduce:
1. Visit developer perspective 
2. Select topology
3.

Actual results:


Expected results:


Additional info:

Comment 1 Guohua Ouyang 2021-10-15 08:42:22 UTC
TypeError
Description:
Cannot read properties of null (reading 'apiGroup')

Component Trace:
at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:247905)
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:196212
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at div
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:589653
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1380842
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at m.memo.t.children.e.children.t.reduxes.e.reduxes.t.reduxes.every.reduxID (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:539571)
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at <anonymous> (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:541240)
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at div
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:590422
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at div
    at t.b (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:189175)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:367916)
    at u (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:175676)
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:9:245224
    at o (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:215646)
    at t.default (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/dev-console-topology-chunk-d048698768c62155e803.min.js:1:66808)
    at c (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:259751)
    at t (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:330528)
    at w
    at t (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:332571)
    at Suspense
    at div
    at div
    at section
    at p (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:166:173196)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1490560)
    at div
    at div
    at c (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:161:349887)
    at u (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:118:113512)
    at div
    at u (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:48:22924)
    at l (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1191593)
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:514270
    at O (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:73:78233)
    at main
    at div
    at y (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:72:39686)
    at div
    at div
    at c (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:166:169674)
    at div
    at div
    at c (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:161:349887)
    at u (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:118:113512)
    at div
    at u (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:48:22924)
    at fn (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:239275)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1016489)
    at t.default (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/quick-start-chunk-2884fdbacb128e017969.min.js:1:1214)
    at c (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:259751)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1569199)
    at Y (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1570653)
    at Qe (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:203184)
    at Y (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1570653)
    at Y (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1570653)
    at Y (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1570653)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1566195)
    at l (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1563549)
    at z (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1570783)
    at https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1573499
    at r (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:119:423510)
    at t (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:330528)
    at t (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:332571)
    at t (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:27:327135)
    at J (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:1573780)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/main-chunk-362ee525eb1479297aff.min.js:1:838021)
    at t.a (https://console-openshift-console.apps.uit-03.cnv-qe.rhcloud.com/static/vendors~main-chunk-26115c31df9c333e62c0.min.js:119:413864)
    at Suspense

Comment 2 Tal Nisan 2021-10-18 10:14:33 UTC
Doesn't seem related to KubeVirt, moving to Console

Comment 4 Guohua Ouyang 2021-10-19 06:25:23 UTC
I tried a few steps on OCP 4.9.0 and didn't reproduce this bug. 
I think the bug is still there on some conditions but I did not catch it yet. Feel free to close it for now.

Comment 5 Yaacov Zamir 2021-10-27 08:39:10 UTC
blocker ? - the topology page is completely broken, no workaround that we know of

Comment 15 Fabian Deutsch 2022-01-07 10:44:09 UTC
In an offlist discussion is got clarified that this bug would prevent the creation of a VM completely in from the developer console.

We are aware of customers relying on this view, thus, as it's affecting customers this bug is critical for CNV.

Requesting blocker+

Comment 17 Fabian Deutsch 2022-01-07 13:29:27 UTC
I'm de-escalating this. It seems that I got a nuance wrong - the customer seems to be using non-admins, but still with the admin UI - and not the dev console.

Dropping blocker?

How can we still get this into 4.9.z?

Comment 19 Yaacov Zamir 2022-01-09 09:28:15 UTC
Sanket hi,
I can't reproduce on my cluster, can you check if this bug still exist ?

Note I: that the Fix (currently on code review) is to prevent this from happening again, but the specific problem that is breaking the dev topology page may not exist anymore because of changes in other places in the code
Note II: this bug crash the topology page, a user can use the dev console (e.g. create, view, edit vms) as long as they don't try to open the topology page.

Comment 20 Guohua Ouyang 2022-01-10 04:02:24 UTC
> I can't reproduce on my cluster, can you check if this bug still exist ?

I could still see this issue on nightly build: 4.10.0-0.nightly-2022-01-09-195852

Comment 23 Guohua Ouyang 2022-01-18 02:12:11 UTC
The issue still exists on 4.10.0-0.nightly-2022-01-17-182202.

Kobi, is this bug depending on https://bugzilla.redhat.com/show_bug.cgi?id=2039381?

Comment 24 Yaacov Zamir 2022-01-18 14:01:53 UTC
It should not depend on 2039381, it should have fixed topology page crashing,
but I didn't have a system with the bug so I may have missed something, I'll ping you for credentials to a system that has the bug and re-check.

Comment 29 Guohua Ouyang 2022-02-07 00:48:15 UTC
verified on 4.10.0-0.nightly-2022-02-06-060618, the topology page is loading normally with CNV installed.

Comment 30 Tiger Kaovilai 2022-04-08 16:07:16 UTC
Is this fix coming to OCP4.9? I am hitting this issue on 4.9.18

Comment 32 Tiger Kaovilai 2022-04-21 02:29:28 UTC
nvm. Was using unsupported configuration running 4.10 CNV on OCP 4.9

Comment 35 errata-xmlrpc 2022-08-10 10:38:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.